package com.bwei.auth.controller;

import com.bwei.auth.service.AuthService;
import com.bwie.common.domain.Admin;
import com.bwie.common.domain.request.JwtRequest;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@Log4j2
public class AuthController {
    @Autowired
    public AuthService service;

    /**
     * 验证码
     * @param tel
     * @return
     */
    @PostMapping("send/tocode/{tel}")
    public Result tocode(@PathVariable String tel){
        return service.tocode(tel);
    }

    /**
     * 登录
     * @param jwtRequest
     * @return
     */
    @PostMapping("login")
    public Result login(@RequestBody JwtRequest jwtRequest){
        return service.login(jwtRequest);
    }

    /**
     * 用户信息
     * @return
     */
    @GetMapping("user/info")
    public Result<Admin> info(){
        Admin admin = service.info();
        return Result.success(admin);
    }
}
