package com.bwie.common.domain;

import com.bwie.common.domain.req.CeaNameEditReq;
import com.bwie.common.domain.req.CesNameQueryReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Cesname {
    /**
     * 主键
     */
    private Long id;
    /**
     * 名称
     */
    public String name;
    /**
     * 数字
     */
    public Integer age;

    /**
     * 查询
     * @param cesNameQueryReq
     * @return
     */
    public static Cesname queryBuild(CesNameQueryReq cesNameQueryReq){
        return Cesname.builder()
                .id(cesNameQueryReq.getId())
                .name(cesNameQueryReq.getName())
                .age(cesNameQueryReq.getAge())
                .build();
    }

    /**
     * 添加
     * @param id
     * @param ceaNameEditReq
     * @return
     */
    public static Cesname editBuild(Long id, CeaNameEditReq ceaNameEditReq){
        return Cesname.builder()
                .name(ceaNameEditReq.getName())
                .age(ceaNameEditReq.getAge())
                .build();
    }
}
