package com.bwie.common.domain;

import com.bwie.common.domain.req.DistrictEditReq;
import com.bwie.common.domain.req.DistrictQueryReq;
import com.bwie.common.web.TreeEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class District extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;
    /**
     * 名称
     */
    private String name;

    /**
     * 编码
     */
    private String code;

    /**
     * 级别
     */
    private String level;

    /**
     * 级别编码
     */
    private String codeLecel;

    /**
     * 区域编码
     */
    private String areaCode;

    /**
     * 中心经纬度
     */
    private String center;

    /**
     * 查询
     * @param districtQueryReq
     * @return
     */
    public static District queryBuild(DistrictQueryReq districtQueryReq){
        return District.builder()
                .parentId(districtQueryReq.getParentId())
                .name(districtQueryReq.getName())
                .code(districtQueryReq.getCode())
                .level(districtQueryReq.getLevel())
                .areaCode(districtQueryReq.getAreaCode())
                .build();
    }

    /**
     * 添加
     * @param id
     * @param districtEditReq
     * @return
     */
    public static District editBuild(Long id, DistrictEditReq districtEditReq){
        return District.builder()
                .parentId(districtEditReq.getParentId())
                .name(districtEditReq.getName())
                .code(districtEditReq.getCode())
                .level(districtEditReq.getLevel())
                .codeLecel(districtEditReq.getCodeLevel())
                .areaCode(districtEditReq.getAreaCode())
                .center(districtEditReq.getCenter())
                .build();
    }
}
